use Test::More tests => 4;
use Test::LeakTrace;

no_leaks_ok {
    use CipUX::RPC;
    my $rpc = CipUX::RPC->new();
}
'no memory leaks CipUX::RPC';

leaks_cmp_ok {
    use CipUX::RPC::Server;
    my $rpc = CipUX::RPC::Server->new();
} '<', 3;
#'memory leaks CipUX::RPC::Server';

leaks_cmp_ok {
    use CipUX::RPC::Server::Daemon;
    my $rpc = CipUX::RPC::Server::Daemon->new({name =>'cipux_rpcd'});
} '<', 3;
#'memory leaks CipUX::RPC::Server::Daemon';

no_leaks_ok {
    use CipUX::RPC::Test::Client;
    my $rpc = CipUX::RPC::Test::Client->new({name=>'cipux_rpc_test_client'});
}
'no memory leaks CipUX::RPC::Test::Client';

